Bug 98903 - [PATCH] www/c-icap: update to 030606rc1
Summary: [PATCH] www/c-icap: update to 030606rc1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-13 16:10 UTC by Elisey Savateev
Modified: 2006-06-15 12:19 UTC (History)
0 users

See Also:


Attachments
c-icap-030606_1,1.patch (1.43 KB, patch)
2006-06-13 16:10 UTC, Elisey Savateev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Elisey Savateev 2006-06-13 16:10:13 UTC
- Contains fixes for a bug which causes segmentation fault to the c-icap server
Comment 1 Sergey Matveychuk freebsd_committer 2006-06-14 16:20:39 UTC
Does not build on 4.11:
 cc -DHAVE_CONFIG_H -I. -I. -I. -Iinclude/ -DCI_BUILD_LIB -D_REENTRANT
-I/usr/local/include -Wall -c request_common.c
-Wp,-MD,.deps/libicapapi_la-request_common.TPlo  -fPIC -DPIC -o
.libs/libicapapi_la-request_common.o
request_common.c: In function `client_parse_icap_header':
request_common.c:658: syntax error before `char'
request_common.c:661: `end' undeclared (first use in this function)
request_common.c:661: (Each undeclared identifier is reported only once
request_common.c:661: for each function it appears in.)
request_common.c:671: `buf' undeclared (first use in this function)
*** Error code 1

-- 
Dixi.
Sem.
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-14 23:34:43 UTC
State Changed
From-To: open->feedback

Ask for submitter fix. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=98903 

Adding to audit trail from misfiled PR ports/98970:

The following patch must fix build failure on 4.x. Please, place it into
files/patch-request_common.c before commit.
 
 --- patch-request_common.c begins here ---
 --- request_common.c.bak	Thu Jun 15 08:42:50 2006
 +++ request_common.c	Thu Jun 15 08:43:02 2006
 @@ -654,7 +654,7 @@
  
  
  int client_parse_icap_header(request_t *req,ci_headers_list_t *h){
 -     int readed=0,eoh=0;;
 +     int readed=0,eoh=0;
   char *buf,*end;
   if(req->pstrblock_read_len<4)/*we need 4 bytes for the end of headers "\r\n\r\n" string*/
 return CI_NEEDS_MORE;
 --- patch-request_common.c ends here ---
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2006-06-15 04:46:43 UTC
State Changed
From-To: feedback->open

Maintainer replied (see audit-trail).
Comment 4 Sergey Matveychuk freebsd_committer 2006-06-15 12:19:39 UTC
State Changed
From-To: open->closed

Committed. Thanks!